Subject: Re: [RESEND][POWERPC] mpc5200: Amalgamated dts fixes and updates

From: Matt Sealey <[email-masked]>
Date: Wed, 26 Mar 2008 22:57:30 +0000

David Gibson wrote:
> On Wed, Mar 26, 2008 at 03:16:47PM -0600, Grant Likely wrote:
>> On Wed, Mar 26, 2008 at 3:02 PM, Matt Sealey <[email-masked]> wrote:
>>> Bartlomiej Sieka wrote:
>>>  > +
>>>  > +                     phy0:ethernet-phy@0 {
>>>  > +                             device_type = "ethernet-phy";@0"
>>>  > +                             reg = <0>;
>>>  > +                     };
>>>
>>>  What's the parsing of this pan out to? What does it mean?
>>>
>>>  Having colons in device names is totally contrary to OF device naming
>>>  spec. Does the part after the colon have a special meaning to the DTC?
>> "phy0:" is a label used by dtc.
>> "ethernet-phy@0" is the node name.
> 
> I would suggest a space after the colon though, to make this clearer.
> That's the style I've been using in all my dts files.

I would suggest taking a hint from C structures...

ethernet-phy@0 {
	name = "ethernet-phy";
	reg = <0>;
	foo = bar;
} phy0;

I mean, this is really intuitive, we all do this every day...

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations